Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class CompositeElementLite

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseElement
              com.gwtext.client.core.CompositeElement
                  com.gwtext.client.core.CompositeElementLite

All Implemented Interfaces:
  Fx

    public class CompositeElementLite

extends CompositeElement

Flyweight composite class. Reuses the same Ext.Element for element operations.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`CompositeElementLite(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`ExtElement` | `item(int index)` Returns a flyweight Element of the dom element object at the specified index.

Methods inherited from class com.gwtext.client.core.CompositeElement
`add, add, clear, contains, filter, first, getCount, indexOf, last, removeElement, removeElement, removeElement, removeElement, replaceElement, replaceElement, replaceElement, replaceElement`

Methods inherited from class com.gwtext.client.core.BaseElement
`addClass, addClass, addClassOnClick, addClassOnFocus, addClassOnOver, addClassOnOver, addKeyListener, addKeyListener, addKeyListener, addKeyMap, addListener, addListener, alignTo, alignTo, anchorTo, anchorTo, animate, animate, applyStyles, autoHeight, autoHeight, clean, clean, clearOpacity, clip, createShim, enableDisplayMode, enableDisplayMode, fadeIn, fadeIn, fadeOut, fadeOut, frame, frame, ghost, ghost, hasActiveFx, hasFxBlock, hide, hide, hide, highlight, highlight, highlight, move, move, move, moveTo, moveTo, moveTo, pause, puff, puff, radioClass, radioClass, remove, removeAllListeners, removeClass, removeClass, repaint, replaceClass, scale, scale, scroll, scroll, scrollTo, scrollTo, sequenceFx, setBottom, setBounds, setBounds, setBounds, setBox, setBox, setBox, setDisplayed, setHeight, setHeight, setLeft, setLeftTop, setLocation, setLocation, setOpacity, setOpacity, setRegion, setRegion, setRight, setSize, setSize, setStyle, setStyles, setTop, setVisibilityMode, setVisible, setVisible, setVisible, setWidth, setWidth, setWidth, setX, setX, setXY, setXY, setY, setY, shift, show, show, slideIn, slideIn, slideOut, slideOut, stopFx, swallowEvent, swallowEvent, switchOff, switchOff, syncFx, toggle, toggle, toggleClass, unselectable, update, update, wrap`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeElementLite

    public CompositeElementLite(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### item

    public ExtElement item(int index)

  Returns a flyweight Element of the dom element object at the specified index.

  Parameters:
    `index` - the element index
  Returns:
    the element at index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD